| FormStateInterface::setFormState |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the value of the form state. |
| FormStateInterface::setGroups |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets references to details elements to render them within vertical tabs. |
| FormStateInterface::setHasFileElement |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets that this form has a file element. |
| FormStateInterface::setIgnoreDestination |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Determines whether the redirect respects the destination query parameter. |
| FormStateInterface::setInvalidToken |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Flags the form state as having or not an invalid token. |
| FormStateInterface::setLimitValidationErrors |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the limited validation error sections. |
| FormStateInterface::setMethod |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the HTTP method to use for the form's submission. |
| FormStateInterface::setProcessInput |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets that the form should process input. |
| FormStateInterface::setProgrammed |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets that this form was submitted programmatically. |
| FormStateInterface::setProgrammedBypassAccessCheck |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets if this form submission should bypass #access. |
| FormStateInterface::setRebuild |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the form to be rebuilt after processing. |
| FormStateInterface::setRebuildInfo |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the rebuild info. |
| FormStateInterface::setRedirect |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the redirect for the form. |
| FormStateInterface::setRedirectUrl |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the redirect URL for the form. |
| FormStateInterface::setRequestMethod |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the HTTP method used by the request that is building the form. |
| FormStateInterface::setResponse |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets a response for this form. |
| FormStateInterface::setStorage |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the entire set of arbitrary data. |
| FormStateInterface::setSubmitHandlers |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the submit handlers. |
| FormStateInterface::setSubmitted |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets that the form has been submitted. |
| FormStateInterface::setTemporary |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets temporary data. |
| FormStateInterface::setTemporaryValue |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets an arbitrary value in temporary storage. |
| FormStateInterface::setTriggeringElement |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the form element that triggered submission. |
| FormStateInterface::setUserInput |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the form values as though they were submitted by a user. |
| FormStateInterface::setValidateHandlers |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the validate handlers. |
| FormStateInterface::setValidationComplete |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets that validation has been completed. |
| FormStateInterface::setValidationEnforced |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Enforces that validation is run. |
| FormStateInterface::setValue |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the submitted form value for a specific key. |
| FormStateInterface::setValueForElement |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Changes submitted form values during form validation. |
| FormStateInterface::setValues |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Sets the submitted form values. |
| FormStateInterface::unsetValue |
function |
core/lib/Drupal/Core/Form/FormStateInterface.php |
Removes a specific key from the submitted form values. |
| FormStatePersistTest |
class |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Tests that the form state persists across multiple requests. |
| FormStatePersistTest.php |
file |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
|
| FormStatePersistTest::$postRenderStoragePersist |
property |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Values retrieved from form state storage in the form post_render callback. |
| FormStatePersistTest::$submitStoragePersist |
property |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Values retrieved from form state storage in the form submit handler. |
| FormStatePersistTest::buildForm |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Form constructor. |
| FormStatePersistTest::displayCachedState |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Render API #post_render callback. |
| FormStatePersistTest::getFormId |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Returns a unique string identifying the form. |
| FormStatePersistTest::setStateRebuildValue |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Form API #process callback. |
| FormStatePersistTest::submitForm |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Form submission handler. |
| FormStatePersistTest::testFormStatePersistence |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Test that form state persists correctly after being submitted and rebuilt. |
| FormStatePersistTest::validateForm |
function |
core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php |
Form validation handler. |
| FormStateTest |
class |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Tests Drupal\Core\Form\FormState. |
| FormStateTest.php |
file |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
|
| FormStateTest::providerTestGetError |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
|
| FormStateTest::providerTestGetRedirect |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Provides test data for testing the getRedirect() method. |
| FormStateTest::providerTestIsCached |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Provides test data for testIsCached(). |
| FormStateTest::providerTestIsMethodType |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Provides test data for testIsMethodType(). |
| FormStateTest::providerTestSetErrorByName |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
|
| FormStateTest::testAddCleanValueKey |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Tests add clean value key. |
| FormStateTest::testCleanValues |
function |
core/tests/Drupal/Tests/Core/Form/FormStateTest.php |
Tests clean values. |